/* YeolClockController */

#import <Cocoa/Cocoa.h>

@interface YeolClockController : NSObject
{
    IBOutlet NSTextField *alarmStatus;
    IBOutlet NSTextField *alarmTimeHour;
	IBOutlet NSTextField *alarmTimeMinute;
	IBOutlet NSTextField *alarmTimeAMPM;
    IBOutlet NSTextField *currentTime;
    IBOutlet id songPicker;
	NSTimer *controlTimer;
	BOOL alarmOn;
	NSString *alarmTime;
	NSString *path;
	NSArray *files;
	NSMovieView *movieView;
}
- (IBAction)toggleAlarm:(id)sender;
- (IBAction)sleepAlarm:(id)sender;

-(void)update:(NSTimer *)theTimer;
-(void)alarmOn;
-(void)alarmOff;

- (int)numberOfItemsInComboBox:(NSComboBox *)aComboBox;
- (id)comboBox:(NSComboBox *)aComboBox objectValueForItemAtIndex:(int)index;
- (unsigned int)comboBox:(NSComboBox *)aComboBox indexOfItemWithStringValue:(NSString *)string;
@end
